Subject: Re: [PATCH v2 net-next 3/3] net: add socket option for low latency polling

From: Eliezer Tamir <[email-masked]>
Date: Wed, 12 Jun 2013 15:54:59 +0300

On 12/06/2013 15:44, Eric Dumazet wrote:
> On Wed, 2013-06-12 at 14:20 +0300, Eliezer Tamir wrote:
>> adds a socket option for low latency polling.
>> This allows overriding the global sysctl value with a per-socket one.
>>
>> Signed-off-by: Eliezer Tamir <[email-masked]>
>> ---
>
> It seems EXPORT_SYMBOL_GPL(sysctl_net_ll_poll) can now be removed ?

I think we would need it for poll.

Poll needs a way that is not dependent on any individual socket to know
how long to busy-wait, since we have to know it before we poll any
individual socket.

The patch I have right now for poll is not ready (and not fully tested).
But I can post it as an RFC if you want.

-Eliezer

------------------------------------------------------------------------------
This SF.net email is sponsored by Windows:

Build for Windows Store.

http://p.sf.net/sfu/windows-dev2dev
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired